<template>
	<view style="padding: 30rpx;">
		<view @click="jump(item)"  v-for="(item, index) in courseList" :key="index" style="margin-bottom: 30rpx;">
			<view class="class_item">
				<image :src="$method.splitImgHost(item.coverUrl, true)" style="height: 316rpx;width: 100%;border-radius: 24rpx;"></image>
				<view style="color: #333333;font-weight: bold;font-size: 32rpx;">
					{{item.courseName}}
				</view>
			</view>
			<view class="bottomBox">
				<view class=".content_box">
					<image src="/static/icon/wk_icon3.png" class="wk_icon"></image>
					学习进度：{{item.stuAllNum}}/{{item.secAllNum}}
				</view>
				<view class="box_progress">
					<view style="width: 60%;">
						<u-line-progress active-color="#ff9900" :percent="(item.stuAllNum / item.secAllNum) * 100"></u-line-progress>
					</view>
					<view>
						<u-button type="warning" size="mini" @click.stop="studyIn(item)">进入学习</u-button>
					</view>
				</view>
				
			</view>
			
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				goodsId:0,
				courseList:[]
				
			}
		},
		onLoad(option) {
			this.goodsId = option.id
			uni.setStorageSync('courseGoodsId', this.goodsId);
			this.courseCourseList()
		},
		onShow(){
			
		},
		methods: {
			jump(item){
				this.$navTo.togo('/pages2/class/detail', {
					id: item.courseId
				});
			},
			courseCourseList() {
				let self = this
				this.$api.courseCourseList({goodsId:this.goodsId}).then(res => {
					if(res.data.code==200){
						self.courseList = res.data.rows
					}
				});
			},
			studyIn(item){
				this.$navTo.togo('/pages2/class/detail', {
					id: item.courseId
				});
				// this.$navTo.togo('/pages2/verify/input');
			},
			appointment(){
				this.$navTo.togo('/pages2/appointment/index');
			}
		},
		
	}
</script>
<style >
	page {
			background: #EAEEF1;
		}
</style>
<style scope>
	
	.box_progress{
		display: flex;
		justify-content:space-between;
		align-items: center;
		margin-top: 20rpx;
	}
	.bottomBox{
		background: #FFFFFF;
		width: 94%;
		border-bottom-left-radius: 24rpx;
		border-bottom-right-radius: 24rpx;
		margin: 0 auto;
		padding: 20rpx;
	}
	.content_box{
		display: flex;
		align-items: center;
		color: #999999;
		margin-top: 8rpx;
	}
	.content{
		color: #000000;
		margin: 0 8rpx;
	}
	.wk_icon{
		width: 24rpx;
		height: 24rpx;
		margin-right: 8rpx;
	}

	.class_item{
		width: 100%;
		background: #FFFFFF;
		box-shadow: 0rpx 10rpx 9rpx 1rpx rgba(165, 196, 239, 0.1);
		border-radius: 24rpx;
		padding: 20rpx;
		z-index: 999;
		position: relative;
	}
</style>
